- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# devfs_devices Struct Reference

`#include <devfs.h>`

Collaboration diagram for devfs_devices:

[legend]

## Data Fields
uInt16 | devMajor
uInt16 | devMinor
char | devName [32]
uInt8 | devType
devfs_devices * | next
devfs_devices * | prev

## Detailed Description

Definition at line 36 of file devfs.h.

## Field Documentation

uInt16 devfs_devices::devMajor

Definition at line 40 of file devfs.h.

Referenced by devfs_makeNode(), devfs_open(), devfs_read(), and devfs_write().

uInt16 devfs_devices::devMinor

Definition at line 41 of file devfs.h.

Referenced by devfs_makeNode(), devfs_open(), devfs_read(), and devfs_write().

char devfs_devices::devName[32]

Definition at line 42 of file devfs.h.

Referenced by devfs_makeNode(), and devfs_open().

uInt8 devfs_devices::devType

Definition at line 39 of file devfs.h.

Referenced by devfs_makeNode().

struct devfs_devices* devfs_devices::next

Definition at line 37 of file devfs.h.

Referenced by devfs_makeNode(), and devfs_open().

struct devfs_devices* devfs_devices::prev

Definition at line 38 of file devfs.h.

Referenced by devfs_makeNode().

The documentation for this struct was generated from the following file:

- src/sys/include/devfs/devfs.h